//
//  MYSplitView.h
//  OnFlAppFoundation
//
//  Created by Ondrej Florian on 23/09/2010.
//  Copyright 2010 OnFlApp. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "NSSplitView_ext.h"

@interface MYSplitView : NSSplitView {
	NSMutableDictionary *lengthsByViewIndex;
	NSMutableDictionary *viewIndicesByPriority;
	BOOL myhidden;
	CGFloat lastpos;
	CGFloat defaultpos;
	BOOL collapsing;
}

- (void)setMinimumLength:(CGFloat)minLength forViewAtIndex:(NSInteger)viewIndex;
- (void)setPriority:(NSInteger)priorityIndex forViewAtIndex:(NSInteger)viewIndex;

- (void) setConstraints:(NSString*) ctxt;

- (IBAction) toggleCollapsedSplitFromSender:(id)sender;
@end
