@interface NSArray (NSArray_ext)
- (NSString*) join:(NSString*)dstr;
- (id)valueForKey:(NSString *)key matching:(id)query;
- (id)firstObjectMatching:(id)query;
- (BOOL) containsAnyObjectIn:(NSArray*)list;
- (BOOL) containsAllObjectIn:(NSArray*)list;
- (BOOL)containsObjectMatching:(id)query;
- (id)firstObject;
- (NSArray*) topObjects:(NSInteger) n;
- (id) get:(id)key;
- (NSArray*) sortedArrayUsingKey:(NSString*) key ascending:(BOOL)asc;
- (NSArray*) objectsCommonToArray:(NSArray*)aa;
- (NSInteger) countObjectsCommonToArray:(NSArray*)aa;
- (NSArray*) objectsNotInCommonToArray:(NSArray*)aa;
- (NSArray*) arrayByRemovingObject:(id)anObject;
- (NSArray*) arrayWithUniqueValues;
- (NSArray*) arrayWithUniqueValuesForKey:(NSString*) key;
- (NSArray *) reversedArray;
+ (NSArray*) arrayWithSet:(NSSet*) set;
@end

